From 43aa7dc1002b9294a8e1f5805d2f1d7577836ba6 Mon Sep 17 00:00:00 2001
From: Naohiro KORIYAMA <nkoriyama@gmail.com>
Date: Tue, 10 Jan 2012 15:11:04 +0900
Subject: [PATCH] Use force_align_arg_pointer for yadif crash on Windows XP

This patch affects only on MinGW win32 builds.
Fixes #5793.

---
 modules/video_filter/deinterlace/yadif_template.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/modules/video_filter/deinterlace/yadif_template.h b/modules/video_filter/deinterlace/yadif_template.h
index de6bb4a..f70d249 100644
--- a/modules/video_filter/deinterlace/yadif_template.h
+++ b/modules/video_filter/deinterlace/yadif_template.h
@@ -106,6 +106,9 @@
             "por       "MM"5, "MM"3 \n\t"\
             MOVQ"      "MM"3, "MM"1 \n\t"
 
+#if defined(__MINGW32__) && defined(WIN32) && !defined(WIN64)
+__attribute__((__force_align_arg_pointer__))
+#endif
 VLC_TARGET static void RENAME(yadif_filter_line)(uint8_t *dst,
                               uint8_t *prev, uint8_t *cur, uint8_t *next,
                               int w, int prefs, int mrefs, int parity, int mode)
-- 
1.7.7.2

